using System;
using System.Collections.Generic;
using System.Linq;
using SqlSugar;
namespace Models
{
    /// <summary>
    /// 
    ///</summary>
    [SugarTable("base_device_info")]
    public class Base_device_info
    {
        
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="deviceid" ,IsPrimaryKey = true) ]
        public string Deviceid  { get; set;  } = null!;
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="name" ) ]
        public string? Name  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="connectstr" ) ]
        public string? Connectstr  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="connectmode" ) ]
        public decimal? Connectmode  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="devicetype" ) ]
        public string? Devicetype  { get; set;  } 
     
        /// <summary>
        /// 备  注:所属汇集软件ID
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="collectid" ) ]
        public string? Collectid  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="addr" ) ]
        public string? Addr  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="mapid" ) ]
        public string? Mapid  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="recordtime" ) ]
        public DateTime? Recordtime  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="deleteflag" ) ]
        public int? Deleteflag  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="recordperson" ) ]
        public int? Recordperson  { get; set;  } 
     
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName="objid" ,IsIdentity = true) ]
        public int Objid  { get; set;  }

        public string State = "未连接";


    }
    
}